Last Comment Bug 534330 - Order of status/task/component bar icons for suite components is different in the MailNews standalone message window
: Order of status/task/component bar icons for suite components is different in...
Status: RESOLVED FIXED
: fixed-seamonkey2.0.3
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: SeaMonkey 2.0 Branch
: All All
: -- normal (vote)
: seamonkey2.1a1
Assigned To: Jens Hatlak (:InvisibleSmiley)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-11 16:18 PST by Rolf Pedersen
Modified: 2010-01-04 06:52 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
reorder overlays [checkin: comment 5] (1.05 KB, patch)
2009-12-12 09:18 PST, Jens Hatlak (:InvisibleSmiley)
mnyromyr: review+
neil: superreview+
iann_bugzilla: approval‑seamonkey2.0.3+
Details | Diff | Splinter Review

Description Rolf Pedersen 2009-12-11 16:18:09 PST
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.1.4) Gecko/20091129 Mandriva/2.0-69.1mib2010.0 SeaMonkey/2.0
Build Identifier: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.1.4) Gecko/20091129 Mandriva/2.0-69.1mib2010.0 SeaMonkey/2.0

At the bottom left of the window, the icons are, from left to right, "Browser", "Mail & Newsgroups", "Composer", "Address Book", "IRC Chat" in all windows except the standalone message window.  There, it is "Composer", "Address Book", "IRC Chat", "Mail & Newsgroups", "Browser".  

A comparison of a message window positioned above a browser window is here: http://dl.dropbox.com/u/1286780/status_icon5.png

I see the same using the Default Theme 1.0 and Pinball 2.0.2.  More screenies, reports for other OS and architecture, as well as mistaken reports comparing the "Mail" window, can be seen here: http://forums.mozillazine.org/viewtopic.php?f=40&t=1636965&start=0

On October 11, this was reported here: http://groups.google.com/group/mozilla.support.seamonkey/browse_thread/thread/2e2e7ce72ac13d81



Reproducible: Always

Steps to Reproduce:
1.Switch from any other component window to the standalone message window.
2.Observe different icon order.
3.
Actual Results:  
Order of status bar icons in the standalone message window is different, leading to a bit of ergonomic confusion/difficulty

Expected Results:  
Icon order should be consistent across windows, so not to have to think unnecessarily.
Comment 1 Jens Hatlak (:InvisibleSmiley) 2009-12-12 05:56:10 PST
Confirming on WinXP with SM 2.0.2pre and a non-standard theme.

For me DOMI shows the order:
#mini-comp, #mini-addr, #mini-irc, #mini-mail, #mini-nav below #component-bar
even though
#minicomp  has insertafter=mini-mail
#mini-addr has insertafter=mini-comp
#mini-irc  has insertafter=mini-addr,mini-comp,mini-aim,mini-nav
#mini-mail has position=2
(#mini-nav has neither insertafter nor position)

Mnyromyr, do you have an idea?
Comment 2 Ian Neal 2009-12-12 07:34:19 PST
Hint, look at the order of the xul-overlays (mini-* elements are in mailTasksOverlay.xul/tasksOverlay.xul files) in the two files messenger.xul and messageWindow.xul
Comment 3 Jens Hatlak (:InvisibleSmiley) 2009-12-12 09:18:57 PST
Created attachment 417257 [details] [diff] [review]
reorder overlays [checkin: comment 5]

(In reply to comment #2)
> Hint, look at the order of the xul-overlays (mini-* elements are in
> mailTasksOverlay.xul/tasksOverlay.xul files) in the two files messenger.xul and
> messageWindow.xul

Sharp eye! :-)

Patch applies cleanly on branch as well.
Comment 4 neil@parkwaycc.co.uk 2009-12-13 04:58:52 PST
Comment on attachment 417257 [details] [diff] [review]
reorder overlays [checkin: comment 5]

It's actually caused by the relative ordering of mailWindowOverlay (which contains the definition of the component bar) and tasksOverlay (which adds the navigator icon). If tasksOverlay is parsed first, it can't find where to add the icon, and so that is deferred, but then the overlays that dynamically overlay tasksOverlay get added after all the static overlays get processed, allowing them to overlay the component bar first time around. Then a second pass finds a home for the navigator icon.
Comment 6 Tony Mechelynck [:tonymec] 2010-01-04 06:52:10 PST
Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.1.8pre) Gecko/20100104 Lightning/1.0b2pre SeaMonkey/2.0.2pre - Build ID: 20100104000459

I VERIFY that in this nightly, the sequence of icons at left of the status bar is Browser - Mail & Newsgroups - Composer - Address Book - IRC Chat, even in the standalone Message window.

I cannot check Windows or Mac.

Note You need to log in before you can comment on or make changes to this bug.